!------------------------------------
program shift_diff


use sep
implicit none
!-------------------------------------
integer					::n1, n2, sampling, ix, it, nx1, nt, n4, n3, if, sd
real 					:: shift, rc, t0, x01, dt, dx1, t, offs, d1, d2, o1,o2
real, dimension(:,:,:,:), allocatable 	::data, datasd  


!--------------------------------

call sep_init()
!call from_param ("shift" , shift, 1.0)
!call from_param ("sampling", sampling, .004)
!call from_param ("rc", rc, -1)

!call sep_init(SOURCE)
call from_history( "n1", n1)
call from_history( "n2", n2)
call from_history( "n3", n3)
call from_history( "n4", n4)
call from_history( "d1", d1)
call from_history( "d2", d2)
call from_history( "o1", o1)
call from_history( "o2", o2)

write(0,*) "A"

allocate(data(n1,n2,n3,n4), datasd(n1,n2,n3,n4)) 

shift  = .124
sampling = .004
rc = -0.25

nx1=n2
nt=n1
x01 = o2
dx1 = d2
t0 = o1
dt = d1


!--------------------------------
!Reading the data
!--------------------------------
call sreed("in",  data, n1*n2*n3*n4*4)
!-------------------------------

write(0,*) "A"
sd = 1.5 + (shift-t0)/dt

write(0,*), sd

		do it=1,nt
	
  
 
			datasd(it,:,:,:) = data(it,:,:,:) - rc*data(it-sd,:,:,:)


		end do
write(0,*) "A"
call srite("out", datasd, n1*n2*n3*n4*4)
write(0,*) "A"
deallocate(data, datasd)

end program shift_diff
